<?php
add_action('wp_enqueue_scripts', 'parallaxis_enqueue_style');
function parallaxis_enqueue_style() 
{
	$parent_style = 'parent-style';
    wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
	wp_enqueue_style( 'child-style',get_stylesheet_directory_uri() . '/style.css');
    wp_enqueue_style('pink', get_stylesheet_directory_uri() . '/pink.css');
}
 
add_action( 'after_setup_theme', 'parallaxis_head_setup' );
function parallaxis_head_setup() {
	global $content_width;
	//content width
	if ( ! isset( $content_width ) ) {
		$content_width = 550;
	} //px

	add_theme_support( 'title-tag' );

	// Logo
	add_theme_support( 'custom-logo', array(
		'width'       => 250,
		'height'      => 250,
		'flex-width'  => true,
		'flex-height' => true,
	) );

	add_theme_support( 'post-thumbnails' ); //supports featured image

	// theme support
	$args = array( 'default-color' => '000000' );
	add_theme_support( 'custom-background', $args );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'responsive-embeds' );

}

add_action( 'widgets_init', 'parallaxis_widgets_init' );
function parallaxis_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html__( 'Footer Widget Area', 'parallaxis' ),
		'id'            => 'footer-widget-area',
		'description'   => esc_html__( 'footer widget area', 'parallaxis' ),
		'before_widget' => '<div class="col-md-3 col-sm-6 enigma_footer_widget_column %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<div class="enigma_footer_widget_title">',
		'after_title'   => '<div class="enigma-footer-separator"></div></div>',
	) );
}
//Dequeue JavaScripts
function parallaxis_dequeue_unnecessary_scripts() {
	if ( ! is_home() && ! is_front_page()  ) {
    wp_dequeue_script( 'caroufredsel' );
        wp_deregister_script( 'caroufredsel' );
		
	wp_dequeue_script( 'caroufredsel-element' );
        wp_deregister_script( 'caroufredsel-element' );
		
	wp_dequeue_script( 'enigma-ajax-front' );
        wp_deregister_script( 'enigma-ajax-front' );
} }
add_action( 'wp_print_scripts', 'parallaxis_dequeue_unnecessary_scripts' );

/**
 * Customizers additions.
*/
require get_stylesheet_directory() . '/customizers.php';

/**
	 * For Welcome admin notice File...
	*/
	require get_stylesheet_directory() . '/inc/class-back-to-top-customize.php';